-- $Name:Парк$
-- $Version: 0.1$
-- $Author: Ordos$

instead_version "2.4.0"

require "timer"
require "sprites"

require "./modules/park_map"
require "./modules/park_draw_functions"
require "./modules/park_network_functions"


spr = sprite;

function init()
	game_status = 'loading';
	sprite_game_loading = spr.load './img/game_loading.png';
	fnt_header = spr.font(theme.get 'win.fnt.name', 50);
	fnt_text = spr.font(theme.get 'win.fnt.name', 24);
	fnt_microtext = spr.font(theme.get 'win.fnt.name', 12);
	sprite_border = spr.load './img/border.png';
	spr.colorkey(sprite_border, 'white');
	sprite_info_panel = spr.load './img/info_panel.png';
	
	sprite_grass = spr.load './img/grass.png';
	sprite_water = spr.load './img/water.png';
end

function start()
	timer:set(10)
	t1 = stead.ticks()
	t2 = stead.ticks()
	fps_count = 0;
	fps = 0;
	connect_status = 'error';
	pause = 0;
	--for i = 1, 1000 do
		--test_connect();
	--end;
	--game_status = 'game';
end

game.timer = function(s)
	-- Эмуляция паузы.
	if pause <= 300 then
		pause = pause + 1;
	end;
	
	-- Отрисовка кадра.
	if get_ticks() - t1 >= 100 then
		if game_status == 'loading' then
			draw_loading_screen();
			if pause > 300 then
				game_status = 'game'
			end
		end;
		
		if game_status == 'game' then
			fps_count = fps_count + 1;
			draw_map();
			draw_info();
		end;
		
		t1 = get_ticks();
	end
	
	-- Тест сетевого соединения и подсчет FPS.
	if game_status == 'game' then
		if get_ticks() - t2 >= 1000 then
			test_connect();
			fps = fps_count;
			fps_count = 0;
			t2 = get_ticks();
		end
	end
end
